## org.eclipse.datatools.sqltools.plan.internal.core
Class PlanInstance

    java.lang.Object
      org.eclipse.datatools.sqltools.plan.internal.core.PlanInstance

All Implemented Interfaces:
  org.eclipse.datatools.sqltools.plan.internal.IPlanInstance

    public class PlanInstance

extends java.lang.Object
implements org.eclipse.datatools.sqltools.plan.internal.IPlanInstance

Implementation of `IPlanInstance`

Author:
  Hui Cao

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.plan.internal.IPlanInstance
`FAILED, RUNNING, SUCCESS`

Constructor Summary
`PlanInstance(PlanManager planManager, PlanRequest planRequest)`

Method Summary
`void` `finishFail(java.lang.Throwable th)`
`void` `finishSuccess(java.lang.String rawPlan)`
`java.lang.Throwable` `getFailThrowable()`
`IExecutionPlanDocument[]` `getPlanDocuments()`
`PlanRequest` `getPlanRequest()`
`java.lang.String` `getRawPlan()`
`int` `getStatus()`
`boolean` `isFinished()`
`void` `setPlanDocuments(IExecutionPlanDocument[] docs)`
`void` `setPlanRequest(PlanRequest planRequest)` Sets the plan request of this plan
`void` `setRawPlan(java.lang.String plan)` Sets the raw data for this plan

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanInstance

    public PlanInstance(PlanManager planManager,
                        PlanRequest planRequest)

Method Detail

### finishFail

    public void finishFail(java.lang.Throwable th)

  Specified by:
    `finishFail` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanInstance`

### finishSuccess

    public void finishSuccess(java.lang.String rawPlan)

  Specified by:
    `finishSuccess` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanInstance`

### getFailThrowable

    public java.lang.Throwable getFailThrowable()

  Specified by:
    `getFailThrowable` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanInstance`

### getPlanRequest

    public PlanRequest getPlanRequest()

  Specified by:
    `getPlanRequest` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanInstance`

### getRawPlan

    public java.lang.String getRawPlan()

  Specified by:
    `getRawPlan` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanInstance`

### getStatus

    public int getStatus()

  Specified by:
    `getStatus` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanInstance`

### isFinished

    public boolean isFinished()

  Specified by:
    `isFinished` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanInstance`

### setPlanRequest

    public void setPlanRequest(PlanRequest planRequest)

  Sets the plan request of this plan

  Parameters:
    `planRequest` - the plan request

### setRawPlan

    public void setRawPlan(java.lang.String plan)

  Sets the raw data for this plan

  Parameters:
    `rawPlan` - the plan's raw data

### getPlanDocuments

    public IExecutionPlanDocument[] getPlanDocuments()

  Specified by:
    `getPlanDocuments` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanInstance`

### setPlanDocuments

    public void setPlanDocuments(IExecutionPlanDocument[] docs)

  Specified by:
    `setPlanDocuments` in interface `org.eclipse.datatools.sqltools.plan.internal.IPlanInstance`